/** @type {import('tailwindcss').Config} */
module.exports = {
	plugins: [require('@tailwindcss/typography')],
	content: ["./src/app/views/**/*.{zmpl,html,js}", "./src/main.zig"],
	theme: {
		extend: {
			colors: {
				win7: {
					bg: '#eaf3ff',        // Background base
					border: '#b5cde4',    // Borders (like nav/footer lines)
					text: '#003c75',      // Base text (e.g., headings)
					link: '#004f9f',      // Link color
					red: '#cc0000',       // Accent red (e.g., for "Files")
					hover: '#005dc1',     // Link hover
				},
				warnbox: {
					bg: '#fff8d8',        // Background of JS-free box
					text: '#7a5b00',      // Text for warning
					border: '#f5e8a3',    // Border for warning
				},
			},
			fontFamily: {
				sans: ['"Segoe UI"', 'Tahoma', 'Geneva', 'Verdana', 'sans-serif'],
			},
		},
	}
};
